#3533 closed enhancement (fixed)

Add rtems_task_exit()

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: rtems Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking: #3529

Description

The rtems_task_delete(RTEMS_SELF) function does not return. In order to aid compilers and static analysis tools provide an rtems_task_exit() function which can be specified as a no return function.

void rtems_task_exit(void) RTEMS_NO_RETURN;

This is similar to the POSIX equivalent.

void pthread_exit (void *__value_ptr) __dead2;

Change History (5)

comment:1 Changed on Oct 4, 2018 at 8:49:55 AM by Sebastian Huber <sebastian.huber@…>

In e50e3f70/rtems:

rtems: Add rtems_task_exit()

Update #3533.

comment:2 Changed on Oct 4, 2018 at 8:50:06 AM by Sebastian Huber <sebastian.huber@…>

In f004b2b8/rtems:

Use rtems_task_exit()

Update #3530.
Update #3533.

comment:3 Changed on Oct 4, 2018 at 9:05:52 AM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: assignedclosed

In 6a20bd2/rtems-docs:

c-user: Document rtems_task_exit()

Close #3533.

comment:4 Changed on Oct 5, 2018 at 5:31:58 AM by Sebastian Huber <sebastian.huber@…>

In 8352d41/rtems:

spthreadlife01: A task exit must not return

Update #3533.

comment:5 Changed on Oct 8, 2018 at 5:15:42 AM by Sebastian Huber <sebastian.huber@…>

In 51b3cbca/rtems:

tests: Use rtems_task_exit()

Update #3533.

Note: See TracTickets for help on using tickets.